import 'package:freezed_annotation/freezed_annotation.dart';

part 'multipart_file_dto.freezed.dart';
part 'multipart_file_dto.g.dart';

@freezed
class MultipartFileDto with _$MultipartFileDto {
  const factory MultipartFileDto({
    required String path,
    required String filename,
  }) = _MultipartFileDto;

  factory MultipartFileDto.fromJson(Map<String, dynamic> json) =>
      _$MultipartFileDtoFromJson(json);
}
