import 'package:freezed_annotation/freezed_annotation.dart';

part 'active_storage_image_response_dto.freezed.dart';
part 'active_storage_image_response_dto.g.dart';

@freezed
class ActiveStorageImageResponseDto with _$ActiveStorageImageResponseDto {
  const factory ActiveStorageImageResponseDto({
    required int id,
    required String filename,
    required String contentType,
    required int byteSize,
    required String url,
  }) = _ActiveStorageImageResponseDto;

  factory ActiveStorageImageResponseDto.fromJson(Map<String, dynamic> json) =>
      _$ActiveStorageImageResponseDtoFromJson(json);
}
