import 'package:freezed_annotation/freezed_annotation.dart';

part 'pagination_response_dto.freezed.dart';
part 'pagination_response_dto.g.dart';

@freezed
class PaginationResponseDto with _$PaginationResponseDto {
  const factory PaginationResponseDto({
    required int count,
    required int page,
    required int outset,
    required int items,
    required int last,
    required int pages,
    required int offset,
    required int from,
    required int to,
  }) = _PaginationResponseDto;

  factory PaginationResponseDto.fromJson(Map<String, dynamic> json) =>
      _$PaginationResponseDtoFromJson(json);
}
