import 'package:flutter/material.dart';
import 'package:get/get.dart';

class DissmisibleModalWidget extends StatelessWidget {
  final Widget child;

  const DissmisibleModalWidget({super.key, required this.child});

  @override
  Widget build(BuildContext context) {
    return GestureDetector(
      behavior: HitTestBehavior.opaque,
      onTap: () {
        Get.back();
      },
      child: Container(
        color: Colors.transparent,
        child: Center(
          child: GestureDetector(
            onTap: () {},
            child: child,
          ),
        ),
      ),
    );
  }
}
