import 'package:freezed_annotation/freezed_annotation.dart';

part 'active_storage_video_response_dto.freezed.dart';
part 'active_storage_video_response_dto.g.dart';

@freezed
class ActiveStorageVideoResponseDto with _$ActiveStorageVideoResponseDto {
  const factory ActiveStorageVideoResponseDto({
    required int id,
    required String url,
    required String filename,
    required int byteSize,
    required String contentType,
  }) = _ActiveStorageVideoResponseDto;

  factory ActiveStorageVideoResponseDto.fromJson(Map<String, dynamic> json) =>
      _$ActiveStorageVideoResponseDtoFromJson(json);
}
