import 'package:freezed_annotation/freezed_annotation.dart';

part 'error_field_dto.freezed.dart';
part 'error_field_dto.g.dart';

@freezed
class ErrorFieldDto with _$ErrorFieldDto {
  const factory ErrorFieldDto({
    required String field,
    required List<String> messages,
  }) = _ErrorFieldDto;

  factory ErrorFieldDto.fromJson(Map<String, dynamic> json) =>
      _$ErrorFieldDtoFromJson(json);
}
