import 'package:flutter/material.dart';

class InputKeyboardUnfocusableWidget extends StatelessWidget {
  final Widget child;
  const InputKeyboardUnfocusableWidget({super.key, required this.child});

  @override
  Widget build(BuildContext context) {
    return GestureDetector(
      onTap: () => FocusManager.instance.primaryFocus?.unfocus(),
      child: child,
    );
  }
}
