import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class MapMarkerWidget extends StatelessWidget {
  // declare a global key and get it trough Constructor
  final GlobalKey globalKey;

  const MapMarkerWidget({super.key, required this.globalKey});

  @override
  Widget build(BuildContext context) {
    // wrap your widget with RepaintBoundary and
    // pass your global key to RepaintBoundary
    return RepaintBoundary(
      key: globalKey,
      child: Icon(
        CupertinoIcons.map_pin,
        size: 126,
        color: Theme.of(context).primaryColor,
      ),
    );
  }
}
